[Testing Update] 2018-01-08 - GCC, Nvidia, AMD, Python, Haskell, Clean-Up

update
testing

#1

Hi community,

this is more or less the boost rebuild. We also added some more fixes to GCC, which prevents issues with Spectre and Meltdown. Additionally we fixed some issues within Nvidia drivers, updated our AMD drivers support, had some Python and Haskell rebuilds and the usual Repo-Cleanups.

About our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.52
  • linux318 3.18.91 [EOL]
  • linux41 4.1.48
  • linux44 4.4.109
  • linux49 4.9.74
  • linux412 4.12.14 [EOL]
  • linux413 4.13.16 [EOL]
  • linux414 4.14.12
  • linux415 4.15-rc7
  • linux-RT-LTS 4.9.68_rt60
  • linux-RT 4.11.12_rt16

Package Updates (Mon Jan 8 19:18:22 CET 2018)

  • testing community x86_64: 273 new and 439 removed package(s)
  • testing core x86_64: 23 new and 23 removed package(s)
  • testing extra x86_64: 74 new and 87 removed package(s)
  • testing multilib x86_64: 0 new and 1 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-06           2018-01-08
-------------------------------------------------------------------------------
                 amdgpu-experimental           20171017-1           20171130-1
                          artwork-i3           20170621-1           20180107-1
                   command-not-found              0.6.1-2              0.6.2-1
                      compiz-manjaro     0.9.13.1.r4138-3     0.9.13.1.r4138-4
                 manjaro-i3-settings           20180104-1           20180107-2
               manjaro-mate-settings           20180105-1           20180107-5
         mhwd-db-amdgpu-experimental           20171017-1           20171130-1
                                 pix              1.6.1-1              1.6.2-1
                         vlc-nightly     3.0.0v20171227-1     3.0.0v20180106-1
                   vlc-nightly-debug     3.0.0v20171227-1     3.0.0v20180106-1
                             xplayer              1.6.0-1              1.6.1-1
                             xviewer              1.6.0-1              1.6.1-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-06           2018-01-08
-------------------------------------------------------------------------------
                                 0ad                a22-3                a22-4
                                 ack               2.18-3               2.22-1
                      acpi_call-dkms             1.1.0-92             1.1.0-93
                             aegisub             3.2.2-24             3.2.2-25
                               amule              10990-3              10990-4
                              arpack              3.5.0-1              3.5.0-2
                                atop              2.3.0-1              2.3.0-2
                             aws-cli            1.14.18-1            1.14.19-1
                              bcg729              1.0.4-1                    -
                           belle-sip              1.6.3-1                    -
                         bitcoin-cli             0.15.1-2             0.15.1-3
                      bitcoin-daemon             0.15.1-2             0.15.1-3
                          bitcoin-qt             0.15.1-2             0.15.1-3
                          bitcoin-tx             0.15.1-2             0.15.1-3
                             blender            17:2.79-7            17:2.79-9
                         btchip-udev                  2-2                    -
                                btfs               2.18-1               2.18-2
                              cclive             0.9.3-15             0.9.3-16
                                ceph             12.2.2-1             12.2.2-3
                           ceph-libs             12.2.2-1             12.2.2-3
                                cgal               4.11-1               4.11-2
                            collectd              5.8.0-2              5.8.0-3
                      cryptominisat5              5.0.1-3              5.0.1-4
                               darcs   2.12.5.20170909-15   2.12.5.20170909-17
                               dunst              1.2.0-1              1.3.0-2
                              dvdrip           0.98.11-13                    -
                           dvdrtools              0.3.1-4                    -
                          easystroke             0.6.0-16             0.6.0-17
                            electrum              3.0.3-1              3.0.5-1
                               envoy                 14-2                    -
                              eslint             4.14.0-1             4.15.0-1
                              facter              3.9.3-1              3.9.3-2
                       fcitx-chewing              0.2.3-1              0.2.3-2
                        fcitx-hangul              0.3.1-1              0.3.1-2
                     fcitx-libpinyin              0.5.3-1              0.5.3-2
                           fcitx-qt5              1.2.1-2              1.2.1-3
                        fcitx-unikey              0.2.7-1              0.2.7-2
                             freecad          0.16.6712-3          0.16.6712-4
                            freetalk                4.1-4                    -
                             freewrl          1:2.3.3.1-1                    -
                            frogatto             1.3.1-24             1.3.1-25
                                 gap              4.8.9-1              4.8.9-2
                            gap-data              4.8.9-1              4.8.9-2
                             gap-doc              4.8.9-1              4.8.9-2
                        gap-packages              4.8.9-1              4.8.9-2
                            gearmand             1.1.18-1             1.1.18-2
                             gimmage              0.2.3-7                    -
                              girara              0.2.8-2              0.2.8-3
                           git-annex        6.20171214-18        6.20171214-20
                              gl-117              1.3.2-8                    -
                               glob2           0.9.4.4-33           0.9.4.4-34
                                glom             1.31.6-4             1.31.6-5
                            gnuradio             3.7.11-4             3.7.11-5
                  gnuradio-companion             3.7.11-4             3.7.11-5
                 gnuradio-fcdproplus             3.7.5-10             3.7.5-11
                      gnuradio-iqbal            0.37.2-26            0.37.2-27
                    gnuradio-osmosdr             0.1.4-24             0.1.4-25
                        gnustep-back             0.25.1-2                    -
                             go-ipfs             0.4.13-1             0.4.13-2
                            goaccess                1.2-1                1.2-2
                              gource               0.47-2               0.47-3
           gpointing-device-settings              1.5.1-5                    -
                              gpsman            6.4.4.2-1                    -
                                  gq              1.3.4-8                    -
                                gqrx                2.9-1                2.9-2
                               grace             5.1.25-6                    -
                                 grc             1.11.1-3                    -
                           gresolver             0.0.5-10                    -
                           gshutdown                0.2-5                    -
                   gtk-engine-aurora              1.5.1-5                    -
                          gtk2_prefs              0.4.1-5                    -
                           guitarix2             0.36.1-1             0.36.1-2
                            hashcash               1.22-5                    -
                haskell-authenticate              1.3.4-7              1.3.4-9
                         haskell-aws              0.18-12              0.18-14
              haskell-binary-conduit              1.2.5-8             1.2.5-10
                       haskell-brick               0.30-4             0.32.1-1
                  haskell-cheapskate             0.1.1-19             0.1.1-20
                     haskell-conduit           1.2.12.1-3             1.2.13-2
         haskell-conduit-combinators              1.1.2-7              1.1.2-9
               haskell-conduit-extra            1.2.3.2-1            1.2.3.2-3
                  haskell-config-ini            0.2.1.1-4            0.2.1.1-5
          haskell-cryptohash-conduit            0.1.1-118            0.1.1-120
          haskell-cryptonite-conduit             0.2.2-11             0.2.2-13
                         haskell-dav            1.3.1-182            1.3.1-184
                     haskell-decimal              0.4.2-4              0.5.1-1
                         haskell-dns             3.0.0-10             3.0.0-12
                   haskell-esqueleto             2.5.3-36             2.5.3-38
                        haskell-feed           1.0.0.0-12           1.0.0.0-14
                      haskell-hakyll          4.10.0.0-18          4.10.0.0-20
                    haskell-hedgehog              0.5.1-7              0.5.1-8
                 haskell-hledger-lib                1.5-1                1.5-3
                    haskell-hopenpgp            2.5.5-134            2.5.5-136
                       haskell-hpack             0.21.2-4             0.21.2-6
                       haskell-hspec              2.4.4-7              2.4.6-1
                  haskell-hspec-core              2.4.4-7              2.4.6-1
              haskell-hspec-discover              2.4.4-4              2.4.6-1
            haskell-hspec-smallcheck             0.4.2-19             0.4.2-20
                   haskell-hspec-wai              0.9.0-6              0.9.0-8
              haskell-hspec-wai-json              0.9.0-7              0.9.0-9
                haskell-html-conduit            1.2.1.2-1            1.2.1.2-3
                haskell-http-conduit              2.2.4-8             2.2.4-10
                  haskell-megaparsec              6.3.0-2              6.4.0-1
                haskell-monad-logger             0.3.26-7             0.3.26-9
                       haskell-nonce              1.0.5-4              1.0.5-5
          haskell-parser-combinators              0.2.1-1              0.4.0-1
                  haskell-persistent              2.7.3-7              2.7.3-9
           haskell-persistent-sqlite             2.6.4-12             2.6.4-14
         haskell-persistent-template             2.5.3-16             2.5.3-18
            haskell-project-template             0.2.0-85             0.2.0-87
                   haskell-resourcet             1.1.10-1             1.1.10-2
                       haskell-sandi              0.4.1-7              0.4.1-9
              haskell-servant-server              0.12-17              0.12-18
             haskell-servant-swagger             1.1.4-11             1.1.4-12
                       haskell-store           0.4.3.2-25           0.4.3.2-28
           haskell-tagstream-conduit          0.5.5.3-105          0.5.5.3-107
                    haskell-unliftio            0.2.2.0-1            0.2.4.0-1
               haskell-unliftio-core            0.1.0.0-3            0.1.1.0-1
              haskell-wai-app-static          3.1.6.1-115          3.1.6.1-116
                 haskell-wai-conduit            3.0.0.3-2            3.0.0.3-5
                   haskell-wai-extra           3.0.21.0-3           3.0.21.0-4
                 haskell-xml-conduit            1.7.0.1-2            1.7.0.1-4
                  haskell-xml-hamlet           0.4.1.1-13           0.4.1.1-15
                        haskell-yaml           0.8.25.1-1           0.8.25.1-3
                       haskell-yesod            1.4.5-145            1.4.5-147
                  haskell-yesod-auth            1.4.21-22            1.4.21-24
                  haskell-yesod-core          1.4.37.2-16          1.4.37.2-18
               haskell-yesod-default            1.2.0-219            1.2.0-221
                  haskell-yesod-form            1.4.16-42            1.4.16-44
            haskell-yesod-persistent             1.4.3-24             1.4.3-26
                haskell-yesod-static           1.5.3.1-50           1.5.3.1-52
                  haskell-yesod-test            1.5.9.1-2            1.5.9.1-5
                        hdf5-openmpi             1.10.1-1             1.10.1-2
                           heaptrack              1.0.0-2              1.0.0-3
                            heimdall              1.4.2-1                    -
                        herbstluftwm              0.7.0-1              0.7.0-2
                           hex-a-hop              1.1.0-5                    -
                             hindent            5.2.4.1-8           5.2.4.1-10
                             hledger                1.5-1                1.5-3
                         hledger-api                1.5-1                1.5-5
                          hledger-ui                1.5-1                1.5-4
                         hledger-web                1.5-2                1.5-6
                               hlint             2.0.11-9            2.0.11-11
                              hoogle            5.0.14-20            5.0.14-22
                      hopenpgp-tools            0.19.5-34            0.19.5-36
                                  ht              2.1.0-5                    -
                               hugin           2017.0.0-4           2017.0.0-5
                        icewm-themes             1.2.26-4                    -
                             ico2xpm                1.3-2                    -
                                 id3               0.80-1                    -
                               idris             1.1.1-22             1.1.1-23
                         innoextract                1.6-1                1.6-2
                       inotify-tools               3.14-4             3.20.1-1
                             instead              3.1.2-1                    -
                    instead-launcher              0.7.0-1                    -
                   interlis-compiler              4.2.0-5                    -
                         isapnptools               1.27-5                    -
                          ivtv-utils              1.4.1-7                    -
                             jansson               2.10-2               2.10-3
                             jenkins              2.100-1              2.101-1
                                john       1.8.0.jumbo1-9      1.8.0.jumbo1-10
                                judy              1.0.5-4                    -
                           kcm-fcitx              0.5.5-1              0.5.5-2
                                 kea              1.3.0-1              1.3.0-3
                               kicad              4.0.7-2              4.0.7-3
                                kodi               17.6-2               17.6-3
                            kodi-dev               17.6-2               17.6-3
                   kodi-eventclients               17.6-2               17.6-3
            kodi-tools-texturepacker               17.6-2               17.6-3
                              kotlin              1.2.0-1             1.2.10-1
                          latte-dock              0.7.2-1              0.7.3-1
                                lcab             1.0b12-5                    -
                                 ldc            1:1.6.0-2            1:1.7.0-1
                          leatherman              1.3.0-1              1.3.0-2
                             libacpi                0.2-4                    -
                              libasl              0.1.7-8              0.1.7-9
                              libdaq              2.0.6-2                    -
                             libdlna             0.2.4-16                    -
                               libee              0.4.1-3                    -
                             libestr             0.1.10-1                    -
                          libexosip2            1:5.0.0-2                    -
                         libfastjson             0.99.7-1                    -
                        libfilezilla             0.11.1-1             0.11.2-1
                      libftdi-compat               0.20-4               0.20-5
                             libindi              1.6.0-1              1.6.2-1
                          liblogging              1.0.6-1                    -
                          liblphobos            1:1.6.0-2            1:1.7.0-1
                            libosip2            1:5.0.0-1                    -
                              libpcl               1.12-3                    -
                    libqtshadowsocks             1.11.0-2              2.0.1-1
                              librcc             0.2.12-1                    -
                              librcd             0.1.14-1                    -
                             librelp             1.2.14-1                    -
                             librime            1:1.2.9-6            1:1.2.9-7
                          librtfcomp                1.3-2                    -
                              libsmf                1.3-5                    -
                             libstrl              0.5.1-1                    -
                        libsynaptics            0.14.6c-7                    -
                              libtsm                  3-3                    -
                              libuhd           3.10.2.0-2           3.10.2.0-3
                             libuser               0.62-1                    -
                             libview              0.6.6-4                    -
                             libvolk                1.3-6                1.3-7
                            linphone             3.12.0-1                    -
                             linssid                2.9-2                2.9-3
                    linuxtv-dvb-apps               1504-1                    -
                              lomoco               1.0-11                    -
                     lua-messagepack              0.3.7-1                    -
                       lua-sql-mysql              2.3.0-7                    -
                    lua-sql-postgres              2.3.0-7                    -
                      lua-sql-sqlite              2.3.0-7                    -
                        lua-testmore              0.3.2-1                    -
                            lua-zlib              1:1.1-1                    -
                   lua51-messagepack              0.3.7-1                    -
                      lua51-testmore              0.3.2-1                    -
                          lua51-zlib              1:1.1-1                    -
                   lua52-messagepack              0.3.7-1                    -
                      lua52-testmore              0.3.2-1                    -
                          lua52-zlib              1:1.1-1                    -
                            lucene++             3.0.7-11             3.0.7-12
                        luminancehdr              2.5.1-5              2.5.1-6
                             luxmark                3.1-4                    -
                             luxrays               1.6-12               1.6-13
                           luxrender                1.6-9               1.6-10
                                 lwp                2.6-3                    -
                              mapnik             3.0.17-1             3.0.17-2
                      matrix-synapse             0.25.1-1             0.26.0-1
                         mime-editor                0.6-5                    -
                             mimetex               1.70-4                    -
                  mingw-w64-binutils               2.29-1                    -
                       mingw-w64-crt              5.0.3-1                    -
                       mingw-w64-gcc              7.2.0-1                    -
                   mingw-w64-headers              5.0.3-1                    -
         mingw-w64-headers-bootstrap              5.0.3-1                    -
               mingw-w64-winpthreads              5.0.3-1                    -
                              miredo              1.2.6-4                    -
                             mod_itk          2.4.7.r04-1                    -
                            moinmoin              1.9.9-2                    -
                             mongodb              3.6.1-1              3.6.1-2
                              motion              4.1.1-1                    -
                             mp32ogg              0.11-10                    -
                             mp3gain              1.5.2-3                    -
                                mpck               0.21-1                    -
                                mpfi              1.5.1-2              1.5.2-1
                                mrtg             2.17.4-2                    -
                         mupen64plus                2.5-9               2.5-10
             mythplugins-mytharchive             1:29.0-3                    -
             mythplugins-mythbrowser             1:29.0-3                    -
             mythplugins-mythgallery             1:29.0-3                    -
                mythplugins-mythgame             1:29.0-3                    -
               mythplugins-mythmusic             1:29.0-3                    -
           mythplugins-mythnetvision             1:29.0-3                    -
                mythplugins-mythnews             1:29.0-3                    -
             mythplugins-mythweather             1:29.0-3                    -
                 mythplugins-mythweb             1:29.0-3                    -
          mythplugins-mythzoneminder             1:29.0-3                    -
                              mythtv             1:29.0-4                    -
                             ncmpcpp              0.8.1-2              0.8.1-3
                               neatx             0.3.1-15                    -
                             nemesis                1.4-6                    -
                            nestopia               1.48-1                    -
                                net6             1.3.14-5                    -
                            netcount               0.8i-7                    -
                           netselect                0.3-3                    -
                          newt-syrup              0.2.0-1                    -
                            normaliz              3.5.0-1              3.5.1-1
                           normalize              0.7.7-7                    -
                           npapi-vlc              2.2.5-2                    -
                           nuvexport              2:0.5-3                    -
                              nvdock               1.02-5                    -
                              obexfs               0.12-4                    -
                             obexftp              0.24-12                    -
                            obextool               0.35-4                    -
                                ogre            1.10.11-1            1.10.11-2
                           ogre-docs            1.10.11-1            1.10.11-2
                           opendmarc              1.3.2-3              1.3.2-4
                         openimageio             1.7.17-1             1.7.17-2
                              openmw             0.43.0-1             0.43.0-2
                            openobex              1.7.2-3                    -
                             openocd           1:0.10.0-1                    -
                            openscad        2015.03.03-13        2015.03.03-14
                 openshadinglanguage              1.7.6-2              1.7.6-3
         openstreetmap-map-icons-svn              31588-1                    -
                         openthreads              2.6.0-1                    -
                             openvdb              4.0.2-2              4.0.2-4
                                 p2c        1.21alpha2-11                    -
                              p3scan             2.3.2-12                    -
                             pamixer              1.3.1-7              1.3.1-8
                                 pan              0.143-1              0.144-1
                              pandoc              2.0.6-5              2.0.6-7
                     pandoc-citeproc           0.12.2.5-4           0.12.2.5-6
                     pandoc-crossref           0.3.0.0-11           0.3.0.0-13
             parallel-netcdf-openmpi              1.8.1-4              1.9.0-1
                              parrot              8.1.0-6                    -
                    partitionmanager              3.3.0-1              3.3.1-1
                                pawm              2.3.0-3                    -
                              pdmenu              1.3.2-2                    -
                          performous               1.1-12               1.1-13
                    perl-anyevent-i3               0.17-2                    -
                     perl-io-stringy              2.111-2              2.111-3
                     perl-mime-tools              5.509-3              5.509-5
                          perl-mouse              2.5.0-1              2.5.1-1
                       perl-xml-fast              0.11-10                    -
                   pidgin-encryption                3.1-3                    -
                      pidgin-toobars               1.14-2                    -
                              pingus             0.7.6-22             0.7.6-23
                             pkgconf             1.3.90-1              1.4.0-1
                               pnews              2.6.5-5                    -
                             png2ico           20021208-7                    -
                              poedit            1:2.0.5-1            1:2.0.5-2
                           postgrest           0.4.3.0-24           0.4.3.0-25
                              povray          2:3.7.0.4-2          2:3.7.0.4-3
                            powerdns              4.0.5-2              4.0.5-3
                   powerdns-recursor              4.0.7-2              4.0.7-3
                           pppd-ldap              0.12b-5                    -
                    pppd-ldap-simple              0.12b-8                    -
                            proguard              5.3.3-1                    -
                            psi-plus            1.2.146-1            1.2.154-1
                            psqlodbc         09.06.0410-1                    -
                            pstotext                1.9-3                    -
                           pulseview              0.4.0-2              0.4.0-3
                               punbb              1.4.4-1                    -
                              pwsafe           20160304-2                    -
                              pyaimt            0.8.0.1-8                    -
                              pycddb              0.1.4-1                    -
                      pycuda-headers           2017.1.1-4           2017.1.1-5
                              pyicqt            0.8.1.5-8                    -
                            pyid3lib              0.5.1-9                    -
                               pympc           20050330-8                    -
                              pymsnt            0.11.3-10                    -
                               pyrss           0.9.9.1-13                    -
                     python-botocore             1.8.22-1             1.8.23-1
                       python-btchip             0.1.24-2                    -
                    python-construct             2.8.17-1             2.8.20-1
                     python-html5lib              1.0.1-1              1.0.1-2
                   python-hypothesis             3.44.9-1            3.44.13-1
                      python-keyring             10.5.1-1             10.6.0-1
                       python-mpi4py              3.0.0-1              3.0.0-2
                      python-msgpack              0.4.8-2              0.5.0-2
                       python-neovim              0.2.0-1              0.2.0-2
                  python-pycontracts              1.8.0-1              1.8.2-1
                       python-pycuda           2017.1.1-4           2017.1.1-5
                       python-pytest              3.3.1-1              3.3.2-1
                   python-signedjson              1.0.0-2              1.0.0-3
                   python-tensorflow              1.4.1-2              1.4.1-3
              python-tensorflow-cuda              1.4.1-2              1.4.1-3
               python-tensorflow-opt              1.4.1-2              1.4.1-3
          python-tensorflow-opt-cuda              1.4.1-2              1.4.1-3
                      python2-btchip             0.1.24-2                    -
                   python2-construct             2.8.17-1             2.8.20-1
                       python2-exiv2             0.3.2-16             0.3.2-17
                        python2-flup              1.0.2-5                    -
                    python2-html5lib              1.0.1-1              1.0.1-2
                  python2-hypothesis             3.44.9-1            3.44.13-1
                    python2-iniparse                0.4-4                    -
                         python2-ipy               0.83-1                    -
                     python2-keyring             10.5.1-1             10.6.0-1
                      python2-mpi4py              3.0.0-1              3.0.0-2
                     python2-msgpack              0.4.8-2              0.5.0-2
                 python2-mysql2pgsql              0.1.5-2                    -
                      python2-neovim              0.2.0-1              0.2.0-2
                   python2-pybonjour              1.1.1-5                    -
                 python2-pycontracts              1.8.0-1              1.8.2-1
                      python2-pycuda           2017.1.1-4           2017.1.1-5
                    python2-pylorcon                  2-4                    -
                      python2-pytest              3.3.1-1              3.3.2-1
                     python2-sensors              0.0.3-2                    -
                  python2-signedjson              1.0.0-2              1.0.0-3
                     python2-slowaes              0.1a1-3                    -
                       python2-tagpy            2013.1-12            2013.1-13
                     python2-tlslite              0.4.9-2                    -
                      python2-xapian            1:1.4.4-1            1:1.4.5-1
                         qbittorrent              4.0.3-1              4.0.3-2
                     qbittorrent-nox              4.0.3-1              4.0.3-2
                                 qps            1.10.16-5                    -
                             qpxtool              0.7.2-5                    -
                            quesoglc              0.7.2-3                    -
                                quvi              0.9.5-1                    -
                           rakarrack              0.6.1-3                    -
                           rawstudio    2.0_git20161101-2                    -
                              recoll             1.23.3-1             1.23.6-1
                           recoverdm               0.20-4                    -
                     ring-daemon 2:20171215.1.bc414d7-2 2:20171215.1.bc414d7-3
                             ripperx              2.8.0-2                    -
                       roundcubemail              1.3.3-1              1.3.3-2
                             roxterm              3.3.2-2                    -
                             rsyslog             8.31.0-1                    -
                            rubinius               3.89-1               3.90-1
                       rubinius-ruby               3.89-1               3.90-1
                             schroot            1.6.10-17            1.6.10-18
                              scrapy              1.4.0-1              1.5.0-1
                                sdcc              3.6.0-4                    -
                     shadowsocks-qt5              2.9.0-3              3.0.0-1
                            shotwell           2:0.26.3-1           2:0.26.4-1
                             snapper              0.5.0-3              0.5.0-4
                              spring              104.0-1              104.0-2
                         spring-1944                2.0-2                    -
                           spring-kp                4.7-1                    -
                         springlobby              0.262-1              0.260-2
                               stack             1.6.3-12             1.6.3-15
                     stylish-haskell           0.8.1.0-28           0.8.1.0-30
                       supercollider              3.8.0-3              3.8.0-4
                    synce-libmimedir                0.4-8                    -
                              synfig              1.2.1-2                    -
                        synfigstudio              1.2.1-3                    -
                           tablelist                6.0-1                    -
                      tamarin-prover             1.2.2-49             1.2.2-51
                          tensorflow              1.4.1-2              1.4.1-3
                     tensorflow-cuda              1.4.1-2              1.4.1-3
                      tensorflow-opt              1.4.1-2              1.4.1-3
                 tensorflow-opt-cuda              1.4.1-2              1.4.1-3
                               tiled              1.1.0-1              1.1.1-1
                               torcs              1.3.7-1                    -
                          torcs-data              1.3.7-1                    -
                           uglify-js              3.3.4-1              3.3.5-1
            vapoursynth-plugin-f3kdb              2.0.0-1                    -
                               vigra             1.11.1-3             1.11.1-4
                           vigra-doc             1.11.1-3             1.11.1-4
                           vim-rails          5.2_23266-4                    -
                                 vtk              8.0.1-3              8.0.1-4
                                vtk6              6.3.0-9             6.3.0-10
                               w3cam             0.7.2-11                    -
                             wesnoth             1.12.6-7             1.12.6-8
                           widelands                 19-9                19-10
                                  wt              4.0.2-1              4.0.2-2
                               xvkbd                3.8-1                    -
                               zcash             1.0.13-1             1.0.13-2
                        glew-wayland                    -              2.1.0-1
                  haskell-hspec-meta                    -              2.4.4-1
                         mcollective                    -             2.11.4-8
                python-pytest-expect                    -              1.1.0-1
                    python-u-msgpack                    -              2.4.0-1
               python2-pytest-expect                    -              1.1.0-1
                   python2-u-msgpack                    -              2.4.0-1
                      ruby-nats-pure                    -              0.2.4-2
                          ruby-stomp                    -              1.4.4-3


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-06           2018-01-08
-------------------------------------------------------------------------------
                            linux414            4.14.12-1            4.14.12-2
                    linux414-headers            4.14.12-1            4.14.12-2
                      linux415 4.15.r180105.g89876f2-1 4.15.r180107.gb2cd1df-1
              linux415-headers 4.15.r180105.g89876f2-1 4.15.r180107.gb2cd1df-1
                      manjaro-system           20171223-2           20180107-2
                         mhwd-amdgpu              1.2.0-2              1.2.1-1
                         mhwd-nvidia          1:384.111-1          1:384.111-2


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-06           2018-01-08
-------------------------------------------------------------------------------
                            binutils             2.29.1-1             2.29.1-2
                          cryptsetup              2.0.0-2              2.0.0-5
                           e2fsprogs             1.43.7-1             1.43.8-1
                                 gcc              7.2.1-2     7.2.1+20171224-1
                             gcc-ada              7.2.1-2     7.2.1+20171224-1
                         gcc-fortran              7.2.1-2     7.2.1+20171224-1
                              gcc-go              7.2.1-2     7.2.1+20171224-1
                            gcc-libs              7.2.1-2     7.2.1+20171224-1
                            gcc-objc              7.2.1-2     7.2.1+20171224-1
                               glibc               2.26-8              2.26-10
                                  iw                4.9-2               4.14-1
                      lib32-gcc-libs              7.2.1-2     7.2.1+20171224-1
                         lib32-glibc               2.26-8              2.26-10
                   linux-api-headers             4.12.7-1             4.14.8-1
                            xfsprogs             4.13.1-1             4.14.0-1
                                zstd              1.3.2-1              1.3.3-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-06           2018-01-08
-------------------------------------------------------------------------------
                           calamares             3.1.12-1             3.1.12-2
                 calamares-git 3.2.0.r4279.c857568b7-1 3.2.0.r4279.c857568b7-2
                  linux414-acpi_call             1.1.0-11             1.1.0-12
                   linux414-bbswitch               0.8-11               0.8-12
                linux414-broadcom-wl      6.30.223.271-11      6.30.223.271-12
                   linux414-catalyst     1:15.201.1151-11     1:15.201.1151-12
                linux414-ndiswrapper              1.61-11              1.61-12
                     linux414-nvidia          1:384.111-1          1:384.111-2
               linux414-nvidia-304xx         1:304.137-11         1:304.137-12
               linux414-nvidia-340xx           340.104-11           340.104-12
                   linux414-nvidiabl              0.88-11              0.88-12
                      linux414-r8168          8.044.02-11          8.044.02-12
                  linux414-rt3562sta        2.4.1.1_r4-11        2.4.1.1_r4-12
                        linux414-spl           0.7.5-1.11              0.7.5-2
                   linux414-tp_smapi              0.41-11              0.41-12
                linux414-vhba-module          20161009-11          20161009-12
   linux414-virtualbox-guest-modules              5.2.4-4              5.2.4-5
    linux414-virtualbox-host-modules              5.2.4-4              5.2.4-5
                        linux414-zfs           0.7.5-1.11              0.7.5-2
                   linux415-bbswitch              0.8-0.9             0.8-0.10
                   linux415-catalyst    1:15.201.1151-0.9   1:15.201.1151-0.10
                     linux415-nvidia        1:384.111-0.9       1:384.111-0.10
               linux415-nvidia-304xx        1:304.137-0.9       1:304.137-0.10
               linux415-nvidia-340xx          340.104-0.9         340.104-0.10
                   linux415-nvidiabl             0.88-0.9            0.88-0.10
                linux415-vhba-module         20161009-0.9        20161009-0.10
                  nvidia-304xx-utils          1:304.137-1          1:304.137-2
                  nvidia-340xx-utils            340.104-1            340.104-2
                        nvidia-utils          1:384.111-1          1:384.111-2
                  linux415-acpi_call                    -            1.1.0-0.6


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-06           2018-01-08
-------------------------------------------------------------------------------
                               boost             1.65.1-2             1.66.0-1
                          boost-libs             1.65.1-2             1.66.0-1
                            chromium      63.0.3239.132-1      63.0.3239.132-2
                               cmake             3.10.1-1             3.10.1-2
                               ekiga             4.0.1-27             4.0.1-28
                              emovix              0.9.0-6                    -
                         imagemagick           7.0.7.19-1           7.0.7.21-1
                     imagemagick-doc           7.0.7.19-1           7.0.7.21-1
                        imagemagick6           6.9.9.31-1           6.9.9.33-1
                              indent             2.2.11-4                    -
                               ipset               6.34-1               6.35-1
                                 kig            17.12.0-1            17.12.0-2
                               krita            3.3.2.1-1              3.3.3-1
                              libabw              0.1.1-2              0.1.2-1
                       libatomic_ops              7.4.8-1              7.6.2-1
                             libcmis              0.5.1-7              0.5.1-8
                           libe-book              0.1.2-8              0.1.3-1
                            libixion             0.12.2-3             0.12.2-4
                         libkolabxml              1.1.6-6              1.1.6-7
                           libmagick           7.0.7.19-1           7.0.7.21-1
                          libmagick6           6.9.9.31-1           6.9.9.33-1
                            libmspub              0.1.2-8              0.1.3-1
                            liborcus             0.12.1-3             0.12.1-4
                      libphonenumber              8.8.8-1              8.8.8-2
                              libpst             0.6.71-1             0.6.71-2
                         libpst-docs             0.6.71-1             0.6.71-2
                libtorrent-rasterbar            1:1.1.5-1            1:1.1.6-1
                                licq             1.8.2-18             1.8.2-19
                         lua-luajson              1.3.3-2              1.3.4-1
                       lua51-luajson              1.3.3-2              1.3.4-1
                       lua52-luajson              1.3.3-2              1.3.4-1
                                 lyx              2.2.3-5              2.2.3-6
                              mirage            0.9.5.2-4                    -
                      mkvtoolnix-cli             19.0.0-1             19.0.0-2
                      mkvtoolnix-gui             19.0.0-1             19.0.0-2
                                naim         0.11.8.3.2-4                    -
              nautilus-open-terminal               0.20-3                    -
                             openmpi              2.1.1-2              3.0.0-1
                       perl-net-upnp              1.4.3-3                    -
                            protobuf            3.5.0.1-1            3.5.1.1-1
                     python-protobuf            3.5.0.1-1            3.5.1.1-1
                      python2-iwscan           20090609-5                    -
                    python2-protobuf            3.5.0.1-1            3.5.1.1-1
                     python2-wpactrl           20090609-6                    -
                                sddm             0.17.0-4             0.17.0-5
                           sofia-sip            1.12.11-3                    -
                    source-highlight             3.1.8-13             3.1.8-14
                     telepathy-rakia              0.8.0-1                    -
                            umbrello            17.12.0-1            17.12.0-3
                            valgrind             3.13.0-4             3.13.0-6
                            watchdog               5.15-1                    -
                         windowmaker             0.95.8-2                    -
                   windowmaker-extra                0.1-6                    -
                  wpa_supplicant_gui                2.6-1                    -
                        wxgtk-common            3.0.3.1-9           3.0.3.1-10
                              wxgtk2            3.0.3.1-9           3.0.3.1-10
                              wxgtk3            3.0.3.1-9           3.0.3.1-10
                         xapian-core            1:1.4.4-1            1:1.4.5-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-01-06           2018-01-08
-------------------------------------------------------------------------------
                              q4wine              1.3.6-1                    -

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


#2

Known issues and solutions

This is a wiki post; please edit as necessary


My rtl8723be wifi card stopped working

You may need to specify (or switch) the antenna selection via the ant_sel driver option, e.g.:

echo "options rtl8723be ant_sel=2" | sudo tee /etc/modprobe.d/50-rtl8723be.conf

If you already have an driver options file try switching the option between 0, 1, and 2.


Network connection is unreliable, not working, or not connecting

Occasionally, Network Manager updates change the underlying settings structure (schemas). This can change or break existing settings without you knowing about it.

This can be fixed by removing the existing connection settings, and then re-adding the connection. You may also need to reboot. If this does not work, move to the next point.


networkmanager 1.10.2-1 does not get an IP address

For some configurations, Network Manager tries to use its internal DHCP client which appears to be incompatible with some wireless access points. This shows up as a timeout during the connection attempt.

To switch back to the previous behaviour of 1.10.0, run the following from a terminal:

echo -e "[main]\ndhcp=dhclient" | sudo tee /etc/NetworkManager/conf.d/dhclient.conf

The creates a file which sets Network Manager to use the stand-alone dhclient program, as it did before. If this still doesn’t work (e.g. after a reboot), there’s the option of downgrading (see the next point).


networkmanager 1.10.2-1 does not auto-connect to WLAN (KDE)

If you find that your WLAN does not auto connect even if the entry is ticked to do so, you can downgrade the Network Manager package. Before doing so, please check the points above.

It’s possible to downgrade to the working build:

sudo pacman -U https://archive.archlinux.org/packages/n/networkmanager/networkmanager-1.10.0-1-x86_64.pkg.tar.xz

You’ll also need to temporarily ignore the package in /etc/pacman.conf

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
IgnorePkg   = networkmanager
#IgnoreGroup =

Don’t forget to reverse this ignore setting as and when a networkmanager fix is announced and released to stable.

Also, have a look at Network Manager MegaThread .



#3

I’m getting this error:

downloading required keys...
error: key "CEB167EFB5722BD6" could not be looked up remotely
error: required key missing from keyring
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.

#4

Try gpg --recv-keys CEB167EFB5722BD6 else post a more complete terminal output.


#5
 mockroot ~ >  gpg --recv-keys CEB167EFB5722BD6
gpg: directory '/home/mockroot/.gnupg' created
gpg: keybox '/home/mockroot/.gnupg/pubring.kbx' created
gpg: key 84818A6819AF4A9B: 7 signatures not checked due to missing keys
gpg: /home/mockroot/.gnupg/trustdb.gpg: trustdb created
gpg: key 84818A6819AF4A9B: public key "Eli Schwartz <eschwartz@archlinux.org>" imported
gpg: no ultimately trusted keys found
gpg: Total number processed: 1
gpg:               imported: 1
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 herecura is up to date
   emovix : Orphan          
 Foreign packages: / 5 / 5

==> Package upgrade only (new release):
core/binutils                          2.29.1-1         1 -> 2
core/cryptsetup                        2.0.0-2          2 -> 5
core/glibc                             2.26-8           8 -> 10
core/lib32-glibc                       2.26-8           8 -> 10
core/linux414                          4.14.12-1        1 -> 2
core/mhwd-nvidia                       1:384.111-1      1 -> 2
extra/cmake                            3.10.1-1         1 -> 2
extra/libcmis                          0.5.1-7          7 -> 8
extra/libixion                         0.12.2-3         3 -> 4
extra/liborcus                         0.12.1-3         3 -> 4
extra/linux414-r8168                   8.044.02-11      11 -> 12
extra/linux414-virtualbox-host-modules 5.2.4-4          4 -> 5
extra/wxgtk3                           3.0.3.1-9        9 -> 10
extra/wxgtk-common                     3.0.3.1-9        9 -> 10
community/girara                       0.2.8-2          2 -> 3
community/jansson                      2.10-2           2 -> 3
community/qbittorrent                  4.0.3-1          1 -> 2

==> Software upgrade (new version) :
core/e2fsprogs                         1.43.7-1         -> 1.43.8-1
core/gcc                               7.2.1-2          -> 7.2.1+20171224-1
core/gcc-libs                          7.2.1-2          -> 7.2.1+20171224-1
core/iw                                4.9-2            -> 4.14-1
core/lib32-gcc-libs                    7.2.1-2          -> 7.2.1+20171224-1
core/linux-api-headers                 4.12.7-1         -> 4.14.8-1
core/mhwd-amdgpu                       1.2.0-2          -> 1.2.1-1
core/xfsprogs                          4.13.1-1         -> 4.14.0-1
core/zstd                              1.3.2-1          -> 1.3.3-1
extra/boost-libs                       1.65.1-2         -> 1.66.0-1
extra/imagemagick                      7.0.7.19-1       -> 7.0.7.21-1
extra/krita                            3.3.2.1-1        -> 3.3.3-1
extra/libabw                           0.1.1-2          -> 0.1.2-1
extra/libatomic_ops                    7.4.8-1          -> 7.6.2-1
extra/libe-book                        0.1.2-8          -> 0.1.3-1
extra/libmagick                        7.0.7.19-1       -> 7.0.7.21-1
extra/libmagick6                       6.9.9.31-1       -> 6.9.9.33-1
extra/libmspub                         0.1.2-8          -> 0.1.3-1
extra/libtorrent-rasterbar             1:1.1.5-1        -> 1:1.1.6-1
extra/protobuf                         3.5.0.1-1        -> 3.5.1.1-1
extra/xapian-core                      1:1.4.4-1        -> 1:1.4.5-1
community/latte-dock                   0.7.2-1          -> 0.7.3-1
community/partitionmanager             3.3.0-1          -> 3.3.1-1
community/vlc-nightly                  3.0.0v20171227-1 -> 3.0.0v20180106-1

==> New package :
core/argon2                            20171227-2       (required by cryptsetup)

==> Continue upgrade ? [Y/n]
==> [V]iew package detail   [M]anually select packages
==> --------------------------------------------------
==> 
:: Starting full system upgrade...
warning: subtitlecomposer: local (0.6.5-2) is newer than herecura (0.6.5-1)
resolving dependencies...
looking for conflicting packages...

Package (42)                            Old Version       New Version       Net Change

core/argon2                                               20171227-2          0,11 MiB
core/binutils                           2.29.1-1          2.29.1-2            0,00 MiB
extra/boost-libs                        1.65.1-2          1.66.0-1            0,01 MiB
extra/cmake                             3.10.1-1          3.10.1-2            0,00 MiB
core/cryptsetup                         2.0.0-2           2.0.0-5            -0,02 MiB
core/e2fsprogs                          1.43.7-1          1.43.8-1           -0,03 MiB
core/gcc                                7.2.1-2           7.2.1+20171224-1    0,02 MiB
core/gcc-libs                           7.2.1-2           7.2.1+20171224-1    0,01 MiB
community/girara                        0.2.8-2           0.2.8-3             0,00 MiB
core/glibc                              2.26-8            2.26-10            -0,01 MiB
extra/imagemagick                       7.0.7.19-1        7.0.7.21-1          0,00 MiB
core/iw                                 4.9-2             4.14-1              0,01 MiB
community/jansson                       2.10-2            2.10-3              0,00 MiB
extra/krita                             3.3.2.1-1         3.3.3-1             0,22 MiB
community/latte-dock                    0.7.2-1           0.7.3-1             0,06 MiB
core/lib32-gcc-libs                     7.2.1-2           7.2.1+20171224-1    0,01 MiB
core/lib32-glibc                        2.26-8            2.26-10            -0,01 MiB
extra/libabw                            0.1.1-2           0.1.2-1             0,24 MiB
extra/libatomic_ops                     7.4.8-1           7.6.2-1             0,05 MiB
extra/libcmis                           0.5.1-7           0.5.1-8             0,05 MiB
extra/libe-book                         0.1.2-8           0.1.3-1             0,78 MiB
extra/libixion                          0.12.2-3          0.12.2-4            0,06 MiB
extra/libmagick                         7.0.7.19-1        7.0.7.21-1          0,00 MiB
extra/libmagick6                        6.9.9.31-1        6.9.9.33-1          0,00 MiB
extra/libmspub                          0.1.2-8           0.1.3-1             0,17 MiB
extra/liborcus                          0.12.1-3          0.12.1-4            0,05 MiB
extra/libtorrent-rasterbar              1:1.1.5-1         1:1.1.6-1           0,01 MiB
core/linux-api-headers                  4.12.7-1          4.14.8-1           -0,04 MiB
core/linux414                           4.14.12-1         4.14.12-2           0,00 MiB
extra/linux414-r8168                    8.044.02-11       8.044.02-12         0,00 MiB
extra/linux414-virtualbox-host-modules  5.2.4-4           5.2.4-5             0,00 MiB
core/mhwd-amdgpu                        1.2.0-2           1.2.1-1             0,00 MiB
core/mhwd-nvidia                        1:384.111-1       1:384.111-2         0,00 MiB
community/partitionmanager              3.3.0-1           3.3.1-1            -0,01 MiB
extra/protobuf                          3.5.0.1-1         3.5.1.1-1           0,00 MiB
community/qbittorrent                   4.0.3-1           4.0.3-2             0,00 MiB
community/vlc-nightly                   3.0.0v20171227-1  3.0.0v20180106-1    0,00 MiB
extra/wxgtk-common                      3.0.3.1-9         3.0.3.1-10          0,00 MiB
extra/wxgtk3                            3.0.3.1-9         3.0.3.1-10          0,00 MiB
extra/xapian-core                       1:1.4.4-1         1:1.4.5-1           0,00 MiB
core/xfsprogs                           4.13.1-1          4.14.0-1            0,00 MiB
core/zstd                               1.3.2-1           1.3.3-1             0,25 MiB

Total Installed Size:  803,90 MiB
Net Upgrade Size:        1,99 MiB

:: Proceed with installation? [Y/n] 
(42/42) checking keys in keyring                                                                    [###########################################################] 100%
downloading required keys...
error: key "CEB167EFB5722BD6" could not be looked up remotely
error: required key missing from keyring
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.

#6

try gpg --search-keys CEB167EFB5722BD6
and confirm with 1 and enter


#7

I have the same problem.

The key form Eli Schwartz is only in archlinux-keyring 20180108-1 and it is not available in testing.
https://git.archlinux.org/archlinux-keyring.git/


#8

This can happen if your mirror has updated [extra] but not [core] (if so, refresh your mirror list and try again).

Or, if the updated keyring package is missing for some reason… :confused: It’s 20171213 in unstable:

$ pacman -Ss archlinux-keyring
core/archlinux-keyring 20171213-1 [installed]
    Arch Linux PGP keyring

#9

During the installation I simply got a question if I wanted to import the key, to which I answered Yes please.


#10

All good on my end, Nvidia card + non-free driver and Kernel 4.14.12.

I had also to import the Key of this “Eli Schwartz”.
How can i find out, which package is signed by his key and maybe remove it?


#11

I tried this, everything is fine now. Thanks.


#12

Interesting Question.

lets start with, saves pacman the .sig file? Because without you can’t check the signature. In /var/cache/pacman is only the .pkg.tar.xz file.

The other thing is, can pacman search for a Maintainer? Because usually the maintainer signs the package.

I don’t know the answer for the questions above, but a manual way could look like this.
There is a application called PkgBrowser. With it you can search for a Maintainer and list only installed packages. This aren’t so many for Eli Schwartz. Now you need to download the .sig file for these packages and check them against the .pkg.tar.xz file in /var/cache/pacman.


#13

See also:

https://www.archlinux.org/packages/?sort=&q=&maintainer=eschwartz&flagged=


#14

Interestingly these lists don’t match.

For example the packages jansson is on the list I get from PkgBrowser but not on the list from
https://www.archlinux.org/packages/?sort=&q=&maintainer=eschwartz&flagged=

https://www.archlinux.org/packages/community/x86_64/jansson/
But it says

Last Packager:  Eli Schwartz
Build Date:     2018-01-08 15:51 UTC
Signed By:      Eli Schwartz
Signature Date: 2018-01-08 16:20 UTC
Last Updated:   2018-01-08 16:41 UTC

#15

Ah, there’s a “packager” search too:

https://www.archlinux.org/packages/?packager=eschwartz

Packages on that list were all updated today.


#16

You can also plug the key into your favourite search engine.

When I did a StartPage search on “CEB167EFB5722BD6” this is the only hit:
https://aur.archlinux.org/packages/calibre-installer/


#17

In any event, I think we might need a new sync to unstable, then another snap to testing as this should already be fixed by a new package version.

Not sure if @philm is about still but I’ll ping him - I don’t want to start faffing with the x86_64 repos without checking first. :slight_smile:


#18

GLX is broken in unstable, nobody noticed this issue in unstable update thread?

[Unstable Update] 2018-01-07 - Boost Rebuild, GCC

$ glxgears
Error: couldn't get an RGB, Double-buffered visual
$ primusrun glxgears
Error: couldn't get an RGB, Double-buffered visual

I have deliberately held off updating second laptop until this is fixed, system becomes very sluggish without glx.


#19

For me it works - gnome + wayland + intel 5500 gpu


#20

I think this is a libglvnd issue, KDE nvidia-intel-bumblebee, nvidia 384.11-1 works fine but the rebuild bump to 384.11-2 broke glx.